Skip to main content
POST
/
api
/
v1
/
cards-program
/
cards
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "type": "virtual"
}'
{
  "success": true,
  "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
  "status": "active",
  "type": "virtual",
  "last4": "4242"
}

Body

userId
string
required
The user ID of the card holder (must be an approved user)
type
string
required
Type of card: physical or virtual
shippingAddress
object
Required for physical cards - shipping address details
bulkShippingGroupId
string
Optional group ID for bulk shipping orders

Response

success
boolean
Indicates whether the call was successful
cardId
string
The unique card identifier
status
string
Card status: notActivated, active, locked, or canceled
type
string
Card type: physical or virtual
last4
string
Last 4 digits of the card number
curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "type": "virtual"
}'
{
  "success": true,
  "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
  "status": "active",
  "type": "virtual",
  "last4": "4242"
}

Physical Card Example

curl --location --request POST 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "userId": "3ddd0e5b-6276-4b48-b756-c1fcc9a2efd1",
    "type": "physical",
    "shippingAddress": {
        "line1": "123 Main St",
        "line2": "Apt 4B",
        "city": "New York",
        "region": "NY",
        "postalCode": "10001",
        "countryCode": "US",
        "country": "United States",
        "recipientFirstName": "John",
        "recipientLastName": "Doe",
        "recipientPhoneCountryCode": "1",
        "recipientPhoneNumber": "5551234567"
    }
}'

Error Responses

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}